Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Building 1.4.x on mac snow leopard with intel compilers
From: Doug Reeder (dlr1_at_[hidden])
Date: 2010-05-23 15:43:04


Mike,

Are you sure that you are getting the openmpi that you built and not
the one supplied w/ OS X. I use modules to make sure that I am getting
the openmpi version I build instead of the OS X suppleid version.

Doug Reeder
On May 23, 2010, at 10:45 AM, Glass, Micheal W wrote:

> I’m having problems building a working version of openmpi 1.4.1/2 on
> a new Apple Mac Pro (dual quad-core nehalem processors) running snow
> leopard (10.6.3) with the Intel 11.1 compilers. I’ve tried the Intel
> 11.1.084 and 11.1.088 versions of the compilers. Everything appears
> to build just fine and some mpi test programs run but whenever I run
> a program with an MPI_Reduce() or MPI_Allreduce() I get a segfault
> (even with np=1). I’m building openmpi with:
>
> configure —without-xgrid —prefix=<my install path> CC=icc CXX=icpc
> F77=ifort FC=ifort
>
> When I build openmpi 1.4.1/2 with the GNU 4.3 compilers (installed
> via macports) using:
>
> configure —without-xgrid —prefix=<my install path> CC=gcc-mp-4.3
> CXX=g++-mp-4.3 F77=gfortran-mp-4.3 FC=gfortran-mp-4.3
>
> all my mpi tests (6000+) run fine. Any help would be appreciated.
>
> Thanks,
> Mike
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users